| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
PosInfo::Line2DKey Class Reference
Basic

Key holding ID for both lineset and line. More...

`#include <posinfo2dsurv.h>`

Inheritance diagram for PosInfo::Line2DKey:
[legend]

## Public Member Functions
| Line2DKey (int lsid=-1, int lineid=-1)
bool | fromString (const char *)
bool | haveLineID () const
bool | haveLSID () const
bool | isOK () const
| true if a line exist with this key
bool | isUdf () const
IdxType & | lineID ()
IdxType | lineID () const
IdxType & | lsID ()
IdxType | lsID () const
bool | operator!= (const Line2DKey &oth) const
bool | operator== (const Line2DKey &oth) const
const char * | toString () const
Public Member Functions inherited from IdxPair
| IdxPair ()
| IdxPair (IdxType, IdxType)
| ~IdxPair ()
const char * | getUsrStr (const char *prefx, const char *sep, const char *postfx, bool only2nd) const
bool | isUdf () const
bool | operator!= (const IdxPair &oth) const
bool | operator== (const IdxPair &) const
od_int32 & | operator[] (int idx)
od_int32 | operator[] (int idx) const
bool | parseUsrStr (const char *str, const char *prefx, const char *sep, const char *postfx)
void | setUdf ()

## Static Public Member Functions
static const Line2DKey & | udf ()
Static Public Member Functions inherited from IdxPair
static const IdxPair & | udf ()

## Additional Inherited Members
Public Types inherited from IdxPair
using | IdxType = Index_Type

## Detailed Description

Key holding ID for both lineset and line.

<>

## Constructor & Destructor Documentation

## ◆ Line2DKey()

PosInfo::Line2DKey::Line2DKey | ( | int | lsid = -1,
|  | int | lineid = -1 )
| inline

## Member Function Documentation

## ◆ fromString()

bool PosInfo::Line2DKey::fromString | ( | const char * |  | ) |

## ◆ haveLineID()

bool PosInfo::Line2DKey::haveLineID | ( |  | ) | const

## ◆ haveLSID()

bool PosInfo::Line2DKey::haveLSID | ( |  | ) | const

## ◆ isOK()

bool PosInfo::Line2DKey::isOK | ( |  | ) | const

true if a line exist with this key

## ◆ isUdf()

bool PosInfo::Line2DKey::isUdf | ( |  | ) | const

## ◆ lineID() [1/2]

IdxType & PosInfo::Line2DKey::lineID | ( |  | ) |
| inline

## ◆ lineID() [2/2]

IdxType PosInfo::Line2DKey::lineID | ( |  | ) | const
| inline

## ◆ lsID() [1/2]

IdxType & PosInfo::Line2DKey::lsID | ( |  | ) |
| inline

## ◆ lsID() [2/2]

IdxType PosInfo::Line2DKey::lsID | ( |  | ) | const
| inline

## ◆ operator!=()

bool PosInfo::Line2DKey::operator!= | ( | const Line2DKey & | oth | ) | const
| inline

## ◆ operator==()

bool PosInfo::Line2DKey::operator== | ( | const Line2DKey & | oth | ) | const
| inline

## ◆ toString()

const char * PosInfo::Line2DKey::toString | ( |  | ) | const

## ◆ udf()

static const Line2DKey & PosInfo::Line2DKey::udf | ( |  | ) |
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025